# Mensinator🩸
Private period tracking with custom symptoms. We don't track your data - you do. Period.

## 💡 Features
- Period and ovulation tracking and statistics.
- Customizable, colour-coded symptoms.
- Cycle prediction with average period calculation.
- Cycle prediction with average luteal phase calculation for irregular cycles.
- Customisable period reminder text.
- App is available in 14 languages (with Community contributions).
- Data export and import for backups or moving to another device.
- No tracking. No sign-up. Your data is yours. No data is sent anywhere.
- No bloat. No useless or complex features. No emails.

## 🫂 Made for friends by friends
Originally, Emma made Mensinator for a friend who was looking for an app that would track unique period symptoms and respect her privacy.
Soon, more like-minded individuals joined the project. 
We all wanted a user-friendly, straightforward app made for us, not an app that uses our data for profit. We are now actively building Mensinator together. 

## 🔮 Future plans
- Whatever you suggest! Discuss ideas with users and developers on **[our Discord](https://discord.gg/tHA2k3bFRN)**. Let us know what features you'd like to see.

## 🤝 Active development and user community
Join **[our Discord](https://discord.gg/tHA2k3bFRN)** to share your thoughts, ask questions, and chat with other users and our team.  
Mensinator is in early development, made by people like you. Your feedback helps us continue improving it.  
Share a quick thought, or stick around to nag the developers to make the app into what you want it to be. You can even help by developing the features directly.

## 💾 Get the app
Download the Mensinator app from your preferred source:
- **[F-Droid](https://f-droid.org/en/packages/com.mensinator.app/)** (free and open-source app store)
- **[Google Play](https://play.google.com/store/apps/details?id=com.mensinator.app)** (Google's app store)
- **[IzzyOnDroid](https://apt.izzysoft.de/fdroid/index/apk/com.mensinator.app)** (an F-Droid repository)
- **[latest release on GitHub](https://github.com/EmmaTellblom/Mensinator/releases/latest)** (NO automatic updates)

## 🛠️ Contributing for developers
We welcome contributions to improve Mensinator!  
If you'd like to contribute, please **[fork the repository](https://github.com/EmmaTellblom/Mensinator/fork)** and submit a pull request.  
For major changes, please **[open an issue](https://github.com/EmmaTellblom/Mensinator/issues/new/choose)** first to discuss your proposed changes.  
You are also welcome to **[join our Discord](https://discord.gg/tHA2k3bFRN)** to discuss further or simply to chat with us!

## 📜 License
This project is licensed under the **[MIT License](https://github.com/EmmaTellblom/Mensinator/blob/main/LICENSE)**.  
